Package com.xebialabs.xlrelease.builder

## Class VariableBuilder$

- java.lang.Object
- - com.xebialabs.xlrelease.builder.VariableBuilder$

-     public class VariableBuilder$
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static VariableBuilder$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableBuilder$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `VariableBuilder<java.lang.Boolean,​BooleanVariable>` | `newBooleanVariable​(java.lang.String k, java.lang.Boolean v)` |
    `VariableBuilder<java.util.Date,​DateVariable>` | `newDateVariable​(java.lang.String k, java.util.Date v)` |
    `VariableBuilder<java.lang.String,​PasswordStringVariable>` | `newExternalPasswordVariable​(java.lang.String k, java.lang.String v)` |
    `StringVariable` | `newGlobalVariable​(java.lang.String k, java.lang.String v)` |
    `VariableBuilder<java.lang.Integer,​IntegerVariable>` | `newIntegerVariable​(java.lang.String k, java.lang.Integer v)` |
    `VariableBuilder<java.util.List<java.lang.String>,​ListStringVariable>` | `newListStringVariable​(java.lang.String k, java.util.List<java.lang.String> v)` |
    `VariableBuilder<java.util.Map<java.lang.String,​java.lang.String>,​MapStringStringVariable>` | `newMapStringStringVariable​(java.lang.String k, java.util.Map<java.lang.String,​java.lang.String> v)` |
    `VariableBuilder<java.lang.String,​PasswordStringVariable>` | `newPasswordStringVariable​(java.lang.String k, java.lang.String v)` |
    `VariableBuilder<java.lang.String,​ReferenceVariable>` | `newReferenceVariable​(java.lang.String k, java.lang.String v, java.lang.String referencedType)` |
    `VariableBuilder<java.util.Set<java.lang.String>,​SetStringVariable>` | `newSetStringVariable​(java.lang.String k, java.util.Set<java.lang.String> v)` |
    `VariableBuilder<java.lang.String,​StringVariable>` | `newStringVariable​(java.lang.String k, java.lang.String v)` |
    `StringVariable` | `newVariable​(java.lang.String k, java.lang.String v)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final VariableBuilder$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### VariableBuilder$

          public VariableBuilder$()

  - ### Method Detail

    - #### newVariable

          public StringVariable newVariable​(java.lang.String k,
                                            java.lang.String v)

    - #### newGlobalVariable

          public StringVariable newGlobalVariable​(java.lang.String k,
                                                  java.lang.String v)

    - #### newStringVariable

          public VariableBuilder<java.lang.String,​StringVariable> newStringVariable​(java.lang.String k,
                                                                                          java.lang.String v)

    - #### newPasswordStringVariable

          public VariableBuilder<java.lang.String,​PasswordStringVariable> newPasswordStringVariable​(java.lang.String k,
                                                                                                          java.lang.String v)

    - #### newExternalPasswordVariable

          public VariableBuilder<java.lang.String,​PasswordStringVariable> newExternalPasswordVariable​(java.lang.String k,
                                                                                                            java.lang.String v)

    - #### newListStringVariable

          public VariableBuilder<java.util.List<java.lang.String>,​ListStringVariable> newListStringVariable​(java.lang.String k,
                                                                                                                  java.util.List<java.lang.String> v)

    - #### newSetStringVariable

          public VariableBuilder<java.util.Set<java.lang.String>,​SetStringVariable> newSetStringVariable​(java.lang.String k,
                                                                                                               java.util.Set<java.lang.String> v)

    - #### newMapStringStringVariable

          public VariableBuilder<java.util.Map<java.lang.String,​java.lang.String>,​MapStringStringVariable> newMapStringStringVariable​(java.lang.String k,
                                                                                                                                                  java.util.Map<java.lang.String,​java.lang.String> v)

    - #### newBooleanVariable

          public VariableBuilder<java.lang.Boolean,​BooleanVariable> newBooleanVariable​(java.lang.String k,
                                                                                             java.lang.Boolean v)

    - #### newIntegerVariable

          public VariableBuilder<java.lang.Integer,​IntegerVariable> newIntegerVariable​(java.lang.String k,
                                                                                             java.lang.Integer v)

    - #### newDateVariable

          public VariableBuilder<java.util.Date,​DateVariable> newDateVariable​(java.lang.String k,
                                                                                    java.util.Date v)

    - #### newReferenceVariable

          public VariableBuilder<java.lang.String,​ReferenceVariable> newReferenceVariable​(java.lang.String k,
                                                                                                java.lang.String v,
                                                                                                java.lang.String referencedType)